# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Approval Class Reference

`#include <StepBasic_Approval.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_Approval ()
| Returns a Approval .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_ApprovalStatus)&aStatus, const Handle(TCollection_HAsciiString)&aLevel)
Standard_EXPORT void | SetStatus (const Handle(StepBasic_ApprovalStatus)&aStatus)
Standard_EXPORT Handle_StepBasic_ApprovalStatus | Status () const
Standard_EXPORT void | SetLevel (const Handle(TCollection_HAsciiString)&aLevel)
Standard_EXPORT Handle_TCollection_HAsciiString | Level () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_ApprovalStatus | status
Handle_TCollection_HAsciiString | level

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Approval::StepBasic_Approval | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_Approval::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_Approval::Init | ( | const Handle(StepBasic_ApprovalStatus)& | aStatus,
|  | const Handle(TCollection_HAsciiString)& | aLevel
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Approval::Level | ( |  | ) | const

Standard_EXPORT void StepBasic_Approval::SetLevel | ( | const Handle(TCollection_HAsciiString)& | aLevel | ) |

Standard_EXPORT void StepBasic_Approval::SetStatus | ( | const Handle(StepBasic_ApprovalStatus)& | aStatus | ) |

Standard_EXPORT Handle_StepBasic_ApprovalStatus StepBasic_Approval::Status | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_Approval::level `[private]`

Handle_StepBasic_ApprovalStatus StepBasic_Approval::status `[private]`

The documentation for this class was generated from the following file:

- StepBasic_Approval.hxx